diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 582cb26..929fc2a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -131266,17 +131266,17 @@ RationalFunctionIntegration(F): Exports == Implementation where
                                                        SE, F, P, Q)
 
     infieldIntegrate(f, x) ==
-      map(multivariate(#1, x), infieldint univariate(f, x))
+      map(x1 +-> multivariate(x1, x), infieldint univariate(f, x))
 
     internalIntegrate(f, x) ==
-      map(multivariate(#1, x), integrate univariate(f, x))
+      map(x1 +-> multivariate(x1, x), integrate univariate(f, x))
 
     extendedIntegrate(f, x, g) ==
-      map(multivariate(#1, x),
+      map(x1 +-> multivariate(x1, x),
           extendedint(univariate(f, x), univariate(g, x)))
 
     limitedIntegrate(f, x, lu) ==
-      map(multivariate(#1, x),
+      map(x1 +-> multivariate(x1, x),
           limitedint(univariate(f, x), [univariate(u, x) for u in lu]))
 
 @
diff --git a/changelog b/changelog
index c4a278d..4283501 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.09.tpd.patch
+20090619 tpd books/bookvol10.4 INTRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.08.tpd.patch
 20090619 tpd books/bookvol10.4 RFFACT +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d5b16c3..770435c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1595,5 +1595,7 @@ bookvol10.4 RF +-> conversion<br/>
 bookvol10.4 DEFINTRF +-> conversion<br/>
 <a href="patches/20090619.08.tpd.patch">20090619.08.tpd.patch</a>
 bookvol10.4 RFFACT +-> conversion<br/>
+<a href="patches/20090619.09.tpd.patch">20090619.09.tpd.patch</a>
+bookvol10.4 INTRF +-> conversion<br/>
  </body>
 </html>
